%define ext_version 1.1.1

Name:          jep
Version:       2.4.1
Release:       %mkrel 2
Summary:       Java Math Expression Parser
Group:         Development/Java
License:       GPL
Url:           http://www.singularsys.com/jep/
Source0:       http://www.singularsys.com/download/jep-%{version}-ext-%{ext_version}-gpl.zip
Source1:       jep-%{version}.pom
Source2:       jep-ext-%{ext_version}.pom
BuildRequires: ant
BuildRequires: ant-nodeps
BuildRequires: jama
BuildRequires: java-devel
BuildRequires: javacc3
BuildRequires: junit
BuildRequires: jpackage-utils
Requires:      jama
Requires:      jpackage-utils
BuildArch:     noarch

%description
Jep Java parses and evaluates mathematical expressions with only a few lines of code.
This package allows your users to enter a formula as a string, and instantly evaluate it.
Jep supports user defined variables, constants, and functions. A number of common mathematical
functions and constants are included.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Jep, Java Math Expression Parser.

This package contains javadoc for %{name}.

%prep
%setup -q -n jep-%{version}-ext-%{ext_version}-gpl

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done
sed -i "s|1.2|1.5|" build.xml

cd lib
ln -sf $(build-classpath jama) Jama-1.0.2.jar
ln -sf $(build-classpath javacc3) javacc.jar
ln -sf $(build-classpath junit) junit.jar

%build
export JRE1_2HOME=%java_home/jre
export JAVACCHOME=$PWD/lib
ant jar javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/
mkdir -p %{buildroot}%{_mavenpomdir}

install -pm 644 dist/jep-%{version}.jar \
  %{buildroot}%{_javadir}/jep-%{version}.jar

install -pm 644 dist/ext-%{ext_version}.jar \
  %{buildroot}%{_javadir}/jep-ext-%{ext_version}.jar

%add_to_maven_depmap jep jep %{version} JPP jep
%add_to_maven_depmap jep ext %{ext_version} JPP jep-ext
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-jep.pom
install -m 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-jep-ext.pom

(
  cd %{buildroot}%{_javadir}/
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

(
  cd %{buildroot}%{_javadir}/
  for jar in *-%{ext_version}*; do
    ln -sf ${jar} ${jar/-%{ext_version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/jep-%{version}
cp -pr doc/javadoc/* %{buildroot}%{_javadocdir}/jep-%{version}
ln -sf jep-%{version} %{buildroot}%{_javadocdir}/jep

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jep-%{version}.jar
%{_javadir}/jep.jar
%{_javadir}/jep-ext-%{ext_version}.jar
%{_javadir}/jep-ext.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE-gpl.txt README.html

%files javadoc
%{_javadocdir}/jep-%{version}
%{_javadocdir}/jep



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.4.1-2.mga3
+ Revision: 355314
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 28 2011 dmorgan <dmorgan> 2.4.1-1.mga2
+ Revision: 130031
- Clean spec file

* Fri Jun 10 2011 gil <gil> 2.4.1-0.mga2
+ Revision: 102855
- imported package jep

